/* Copyright 2014-2015 Willi Mann
 *
 * This file is part of set_sim_join.
 *
 * set_sim_join is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Foobar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with set_sim_join.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "cmdline_groupjoin.h"

Algorithm * groupjoin_cmd_line(boost::program_options::variables_map & vm) {
	if(vm.count("cosine")) {
		return GroupJoin_Unroll<Cosine>::groupjoin_cmd_line(vm);
	} else if(vm.count("dice")) {
		return GroupJoin_Unroll<Dice>::groupjoin_cmd_line(vm);
	} else if(vm.count("hamming")) {
		return GroupJoin_Unroll<Hamming>::groupjoin_cmd_line(vm);
	} else {
		return GroupJoin_Unroll<Jaccard>::groupjoin_cmd_line(vm);
	}
}
